/*
 * Placeholder for Mozilla Tri-licence: MPL/GPL/LGPL
 * Original code from firefox trunk and seamonkey trunk
*/

if (top.document.getElementById('sidebar-box')) {
  onLoadPageInfo = function onLoadPageInfo() {

    //dump("===============================================================================\n");

    theBundle = document.getElementById("pageinfobundle");
    gStrings.unknown = theBundle.getString("unknown");
    gStrings.notSet = theBundle.getString("notset");
    gStrings.emptyString = theBundle.getString("emptystring");
    gStrings.noExpiration = theBundle.getString("generalNoExpiration");
    gStrings.linkAnchor = theBundle.getString("linkAnchor");
    gStrings.linkArea = theBundle.getString("linkArea");
    gStrings.linkSubmit = theBundle.getString("linkSubmit");
    gStrings.linkSubmission = theBundle.getString("linkSubmission");
    gStrings.linkRel = theBundle.getString("linkRel");
    gStrings.linkStylesheet = theBundle.getString("linkStylesheet");
    gStrings.linkRev = theBundle.getString("linkRev");
    gStrings.linkX = theBundle.getString("linkX");
    gStrings.mediaImg = theBundle.getString("mediaImg");
    gStrings.mediaBGImg = theBundle.getString("mediaBGImg");
    gStrings.mediaApplet = theBundle.getString("mediaApplet");
    gStrings.mediaObject = theBundle.getString("mediaObject");
    gStrings.mediaEmbed = theBundle.getString("mediaEmbed");
    gStrings.mediaLink = theBundle.getString("mediaLink");
    gStrings.mediaInput = theBundle.getString("mediaInput");
  
    var docTitle = theBundle.getString("pageInfo.title");
    theWindow = content.window;
    theDocument = content.document;

    document.title = docTitle;
  
    // do the easy stuff first
    makeGeneralTab();
  
    // and then the hard stuff
    makeTabs(theDocument, theWindow);
  
    /* Call registered overlay init functions */
    for (x in onLoadRegistry)
    {
      onLoadRegistry[x]();
    }
  
    var tabControl = document.getElementById("tabbox");
    if (tabControl)
    {
      /* Select the requested tab, if the name is specified */
      if ("arguments" in window && window.arguments.length >= 1 &&
          window.arguments[0] && window.arguments[0].initialTab)
      {
        var tab = document.getElementById(window.arguments[0].initialTab);
        if (tab)
          tabControl.selectedTab = tab;
      }
      tabControl.selectedTab.focus();
    }
  }
}
